Bug 77121 - grub fails to install if /boot was full during upgrade-install (even if cleared later)
grub fails to install if /boot was full during upgrade-install (even if clear...
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-11-01 08:58 EST by Brad Clements
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:51:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brad Clements 2002-11-01 08:58:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When performing an upgrade-installation, if /boot does not have enough disk 
space anaconda complains. Selecting <back> to the beginning of the upgrade 
process, using a virtual terminal to delete some old kernels and then moving 
forward in the install results in grub not being installed in /boot, no kernel 
being installed in /boot and the grub RPM not being installed on the system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Select an existing RH system without grub, ie 7.2
2. Ensure that there is not enough free space in /boot to install grub and new 
3. Perform an Upgrade installation (I used NFS install)
4. anaconda says "you need xx more megs of space in /boot"
5. Use Back button to move to beginning of install process
6. Switch to a virtual terminal, delete some old kernels in /boot to free space
7. continue the install process

Actual Results:  1. The grub RPM is not installed
2. Grub itself is not installed in the master boot block
3. /boot/grub/grub.conf is not created
4. I think (don't recall) that the new RH8 kernel is also not installed. Not 

Expected Results:  Grub should be installed properly

Additional info:

See redhat service request 217537 for more information.
Comment 1 Jeremy Katz 2002-11-01 11:50:45 EST
I think I know what's happening here, just need to track down and fix
Comment 2 Jeremy Katz 2003-01-02 16:12:53 EST
Fixed in CVS
Comment 3 Brent Fox 2003-05-25 10:51:39 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.